/*
 * @Author: wj 1454560336@qq.com
 * @Date: 2023-11-17 10:25:15
 * @LastEditors: wenjie 1454560336@qq.com
 * @LastEditTime: 2024-03-28 13:42:07
 * @FilePath: \admin-manage\src\api\payment.js
 * @Description: 
 * 
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved. 
 */

import request from '@/utils/request'

// 查询正在签约的流程
export function complexIng(data) {
    return request({
      url: '/paymentserver/signature/complexIng',
      method: 'post',
      data
    })
  }

// 签约 或修改
export function startComplex(data) {
  return request({
    url: '/paymentserver/signature/startComplex',
    method: 'post',
    data
  })
}

// 商户信息
export function shopInfo(data) {
    return request({
      url: '/paymentserver/signature/shopInfo',
      method: 'post',
      data
    })
  }

// 法定代表信息
export function legal(data) {
    return request({
      url: '/paymentserver/signature/legal',
      method: 'post',
      data
    })
  }

// 行业数据
export function getMcc(data) {
    return request({
      url: '/paymentserver/mcc/getMcc',
      method: 'post',
      data
    })
  }

// 支行列表
export function branchBankList(data) {
    return request({
      url: '/paymentserver/signature/branchBankList',
      method: 'post',
      data
    })
  }

// 上传图片
export function picUpload(data) {
    return request({
      url: '/paymentserver/signature/picUpload',
      method: 'post',
      data
    })
  }

  // 股东信息
export function shareholderInfo(data) {
  return request({
    url: '/paymentserver/signature/shareholderInfo',
    method: 'post',
    data
  })
}
  
// 结算信息
export function bankInfo(data) {
  return request({
    url: '/paymentserver/signature/bankInfo',
    method: 'post',
    data
  })
}
  
// 地区数据
export function getRegion(data) {
  return request({
    url: '/paymentserver/region/getRegion',
    method: 'post',
    data
  })
}
  
// 使用银联完成签约
export function merchantReg(data) {
  return request({
    url: '/paymentserver/signature/merchantReg',
    method: 'post',
    data
  })
}

  
// 档案提交
export function complexUpload(data) {
  return request({
    url: '/paymentserver/signature/complexUpload',
    method: 'post',
    data
  })
}

  
// 前端签约
export function agreementSign(data) {
  return request({
    url: '/paymentserver/signature/agreementSign',
    method: 'post',
    data
  })
}
  
// 入网状态查询
export function applyQry(data) {
  return request({
    url: '/paymentserver/signature/applyQry',
    method: 'post',
    data
  })
}
  
// 对公交易查询
export function nmrsQryEntpAccountDetail(data) {
  return request({
    url: '/paymentserver/signature/nmrsQryEntpAccountDetail',
    method: 'post',
    data
  })
}
  
// 发起打款
export function requestAccountVerify(data) {
  return request({
    url: '/paymentserver/signature/requestAccountVerify',
    method: 'post',
    data
  })
}
  
// 对公验证
export function companyAccountVerify(data) {
  return request({
    url: '/paymentserver/signature/companyAccountVerify',
    method: 'post',
    data
  })
}
  
// 分账列表
export function getTransferList(data) {
  return request({
    url: '/springbatchservice/pay/transfer/list',
    method: 'post',
    data
  })
}
  
// 获取商户下的签约列表
export function complexList(data) {
  return request({
    url: '/paymentserver/signature/complexList',
    method: 'post',
    data
  })
}
  
// 获取商户下的已完成签约列表
export function finishComplexList(data) {
  return request({
    url: '/paymentserver/signature/finishComplexList',
    method: 'post',
    data
  })
}
  
// 删除为签约完成的流程
export function deleteComplex(data) {
  return request({
    url: '/paymentserver/signature/deleteComplex',
    method: 'post',
    data
  })
}

